import request from '@/utils/request'

// 查询标准气体列表
export function listStandardgases(query) {
  return request({
    url: '/check/standardgases/list',
    method: 'get',
    params: query
  })
}
export function getAllStandardgases() {
  return request({
    url: '/check/standardgases/allStandardgases',
    method: 'get',
  })
}

// 查询标准气体详细
export function getStandardgases(id) {
  return request({
    url: '/check/standardgases/' + id,
    method: 'get'
  })
}

// 新增标准气体
export function addStandardgases(data) {
  return request({
    url: '/check/standardgases',
    method: 'post',
    data: data
  })
}

// 修改标准气体
export function updateStandardgases(data) {
  return request({
    url: '/check/standardgases',
    method: 'put',
    data: data
  })
}

// 删除标准气体
export function delStandardgases(id) {
  return request({
    url: '/check/standardgases/' + id,
    method: 'delete'
  })
}
